Package com.pixelmed.apps

# Class DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurPatientStudySeriesInstanceModel

java.lang.Object
com.pixelmed.database.DatabaseInformationModel
com.pixelmed.database.DicomDatabaseInformationModel
com.pixelmed.database.MinimalPatientStudySeriesInstanceModel
com.pixelmed.apps.DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurPatientStudySeriesInstanceModel

Enclosing class:
  DoseReporterWithLegacyOCRAndAutoSendToRegistry

protected class DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurPatientStudySeriesInstanceModel extends MinimalPatientStudySeriesInstanceModel

## Field Summary

### Fields inherited from class com.pixelmed.database.DicomDatabaseInformationModel

`derivedAcquisitionDateTimeColumnName, derivedContentDateTimeColumnName, derivedLossyImageCompressionColumnName, derivedSeriesDateTimeColumnName, derivedStudyDateTimeColumnName`

### Fields inherited from class com.pixelmed.database.DatabaseInformationModel

`additionalIndexMapOfColumnsToTables, databaseConnection, databaseRootName, defaultDatabaseRootName, dictionary, externalServerInstance, FILE_COPIED, FILE_REFERENCED, listsOfAttributesByInformationEntity, localFileName, localFileReferenceTypeColumnName, localParentReferenceColumnName, localPrimaryKeyColumnName, localRecordInsertionTimeColumnName, personNameCanonicalColumnNamePrefix, personNameCanonicalColumnNameSuffix, personNamePhoneticCanonicalColumnNamePrefix, personNamePhoneticCanonicalColumnNameSuffix, rootInformationEntity, userColumnName1, userColumnName2, userColumnName3, userColumnName4`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extendCreateStatementStringWithUserColumns(StringBuffer b, InformationEntity ie)`
Extend a SQL CREATE TABLE statement in the process of being constructed with any user optional columns that the model requires.

### Methods inherited from class com.pixelmed.database.MinimalPatientStudySeriesInstanceModel

`createAdditionalIndexes, extendStatementStringWithMatchingAttributesForSelectedInformationEntity, getChildTypeForParent, getChildTypeForParent, getChildTypeForParent, getDescriptiveColumnName, getOtherDescriptiveColumnName, getOtherOtherDescriptiveColumnName, getUIDColumnNameForInformationEntity, isInformationEntityInModel, main`

### Methods inherited from class com.pixelmed.database.DicomDatabaseInformationModel

`createPrimaryKeyForSelectedInformationEntity, extendCreateStatementStringWithDerivedAttributes, extendInsertStatementStringWithAttributeNamesForSelectedInformationEntity, extendInsertStatementStringWithAttributeValuesForSelectedInformationEntity, extendInsertStatementStringWithDerivedAttributeNamesForSelectedInformationEntity, extendInsertStatementStringWithDerivedAttributeValuesForSelectedInformationEntity, extendInsertStatementStringWithPersonNameSearchColumnsForSelectedInformationEntity, extendInsertStatementStringWithPersonNameSearchValuesForSelectedInformationEntity, getDateFromDicomDateAndTime, getDateFromDicomDateAndTime, getNametoDescribeThisInstanceOfInformationEntity, getQueryResponseGeneratorFactory, getQueryResponseGeneratorFactory, getQuotedEscapedSingleStringValueOrNull, getQuotedSingleStringValueOrNull, getQuotedUnescapedSingleStringValueOrNull, getQuotedValueOrNULL, getRetrieveResponseGeneratorFactory, getRetrieveResponseGeneratorFactory, getTimestampFromDate, getTimestampFromDicomDateAndTime, getTimestampFromDicomDateAndTime`

### Methods inherited from class com.pixelmed.database.DatabaseInformationModel

`appendExactOrIsNullMatch, close, deleteRecord, doCommonConstructorStuff, extendCreateStatementStringWithAnyExtraAttributes, finalize, findAllAttributeValuesForAllRecordsForThisInformationEntity, findAllAttributeValuesForAllRecordsForThisInformationEntityWithMatchingParent, findAllAttributeValuesForAllRecordsForThisInformationEntityWithSpecifiedKeyValue, findAllAttributeValuesForAllRecordsForThisInformationEntityWithSpecifiedParent, findAllAttributeValuesForAllRecordsForThisInformationEntityWithSpecifiedUID, findAllAttributeValuesForSelectedRecord, findSelectedAttributeValuesForSelectedRecord, getAttributeTagFromDatabaseColumnName, getDatabaseColumnNameFromDicomName, getDatabaseColumnNameFromDicomTag, getDicomNameFromDatabaseColumnName, getInformationEntityFromTag, getLocalFileNameColumnName, getLocalFileReferenceTypeColumnName, getLocalParentReferenceColumnName, getLocalPrimaryKeyColumnName, getLocalRecordInsertionTimeColumnName, getSQLTypeFromDicomValueRepresentation, getTableNameForInformationEntity, insertObject, isInformationEntityInModel, toString, updateSelectedRecord`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### extendCreateStatementStringWithUserColumns

protected void extendCreateStatementStringWithUserColumns(StringBuffer b, InformationEntity ie)
Description copied from class: `DatabaseInformationModel`

Extend a SQL CREATE TABLE statement in the process of being constructed with any user optional columns that the model requires.

Called when creating the tables for a new database.

Specific to each concrete information model extending `DatabaseInformationModel`. Defaults to adding four extra columns for each table if not overridden (i.e. it is not abstract).

Overrides:
  `extendCreateStatementStringWithUserColumns` in class `DatabaseInformationModel`
Parameters:
  `b` - the statement being constructed
  `ie` - the `InformationEntity` for which a create table statement is being constructed